<?php require_once 'api/v1/auth/auth_check.php'; ?>
<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="icon" href="./images/x-icon/favicon.ico" type="image/x-icon">
    <title>Mi Cuenta - VeneCloud</title>
    <link rel="stylesheet" href="dashboard.css">
    <!-- Font Awesome CDN -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.2/css/all.min.css" integrity="sha512-SnH5WK+bZxgPHs44uWIX+LLJAJ9/2PkPKZ5QiAj6Ta86w+fsb2TkcmfRyVX3pBnMFcV7oQPJkl9QevSCWr3W6A==" crossorigin="anonymous" referrerpolicy="no-referrer" />
</head>
<body>
    <div class="dashboard-layout">
        <!-- ==================== SIDEBAR ==================== -->
        <aside class="sidebar" id="sidebar">
            <div class="sidebar-logo"><a href="./">VeneCloud</a></div>
            <nav class="sidebar-nav">
                 <ul>
                     <li><a href="./"><i class="fas fa-cubes fa-fw"></i> <span>Aplicaciones</span></a></li>
                     <li><a href="billing.php"><i class="fas fa-credit-card fa-fw"></i> <span>Facturación</span></a></li>
                     <!-- MARCAR 'Cuenta' como activa -->
                     <li class="active"><a href="account.php"><i class="fas fa-user-cog fa-fw"></i> <span>Cuenta</span></a></li>
                     <li><a href="docs.php"><i class="fas fa-book fa-fw"></i> <span>Documentación</span></a></li>
                     <li><a href="api/v1/auth/logout.php"><i class="fas fa-sign-out-alt fa-fw"></i> <span>Salir</span></a></li>
                 </ul>
            </nav>
        </aside>

        <!-- ==================== MAIN WRAPPER ==================== -->
        <div class="main-wrapper" id="main-wrapper">
            <!-- ==================== DASHBOARD HEADER ==================== -->
            <header class="dashboard-header">
                 <div class="header-left">
                    <button id="sidebar-toggle" class="btn btn-icon" aria-label="Toggle sidebar"><i class="fas fa-bars"></i></button>
                     <nav aria-label="breadcrumb" class="breadcrumbs">
                         <ol>
                             <li><span aria-current="page">Cuenta</span></li> <!-- Directo a Cuenta -->
                         </ol>
                     </nav>
                 </div>
                <div class="header-right">
                     <div class="user-menu">
                         <span class="user-name"><?php echo htmlspecialchars($_SESSION['user_email'] ?? 'Usuario'); ?></span>
                         <button class="user-menu-toggle"><i class="fas fa-user-circle fa-lg"></i> <i class="fas fa-caret-down"></i></button>
                         <div class="user-menu-dropdown" style="display: none;">
                             <a href="/account">Mi Cuenta</a>
                             <a href="api/v1/auth/logout.php">Cerrar Sesión</a>
                         </div>
                    </div>
                </div>
            </header>

            <!-- ==================== MAIN CONTENT AREA ==================== -->
            <main class="main-content">
                <div class="content-header">
                    <h1>Configuración de la Cuenta</h1>
                </div>

                <!-- === Sección Perfil === -->
                <section class="settings-section">
                    <h3><i class="fas fa-user-circle fa-fw"></i> Información del Perfil</h3>
                    <form id="profile-form" class="settings-form">
                        <div class="form-group">
                            <label for="profile-name">Nombre</label>
                            <input type="text" id="profile-name" name="name" value="Nombre Usuario Ejemplo" placeholder="Tu nombre">
                        </div>
                        <div class="form-group">
                            <label for="profile-email">Correo Electrónico</label>
                            <input type="email" id="profile-email" name="email" value="tu_usuario@email.com" disabled>
                            <small class="form-text">El correo no se puede cambiar si iniciaste sesión con Google.</small>
                        </div>
                        <div class="form-actions">
                            <button type="submit" class="btn btn-primary">Guardar Cambios</button>
                        </div>
                    </form>
                </section>

                <!-- === Sección Seguridad / Login === -->
                <section class="settings-section">
                    <h3><i class="fas fa-shield-alt fa-fw"></i> Seguridad e Inicio de Sesión</h3>
                    <div class="settings-content-padded"> <!-- Padding interno -->
                        <h4>Métodos de Inicio de Sesión</h4>
                        <div class="login-method-item">
                             <div>
                                <i class="fab fa-google fa-lg google-icon"></i>
                                <strong>Google</strong>
                                <span class="text-muted">(tu_usuario@email.com)</span>
                             </div>
                             <button class="btn btn-sm btn-secondary" disabled>Conectado</button>
                             <!-- <button class="btn btn-sm btn-danger">Desvincular</button> -->
                        </div>
                         <!-- Aquí se mostraría la opción de contraseña si se implementa login local -->
                         <!--
                         <hr>
                         <h4>Contraseña</h4>
                         <form id="password-form"> ... </form>
                         -->
                    </div>
                </section>

                 <!-- === Sección Tokens API === -->
                 <section class="settings-section">
                    <h3><i class="fas fa-key fa-fw"></i> Tokens de API</h3>
                    <p class="section-description">Gestiona tus tokens para acceder a la API de VeneCloud.</p>
                    <div class="api-tokens-list">
                         <!-- Ejemplo Token -->
                         <div class="api-token-item">
                             <div class="token-info">
                                 <span class="token-name">Token CLI Principal</span>
                                 <span class="token-excerpt">vcld_...aBcD</span>
                                 <small class="token-created">Creado: 01/05/2024</small>
                                 <!-- <small class="token-last-used">Último uso: Hace 2 horas</small> -->
                             </div>
                             <div class="token-actions">
                                 <button class="btn btn-icon btn-sm btn-regenerate" title="Regenerar Token"><i class="fas fa-sync-alt"></i></button>
                                 <button class="btn btn-icon btn-sm btn-delete danger-action" title="Revocar Token"><i class="fas fa-trash-alt"></i></button>
                             </div>
                         </div>
                         <!-- Fin Ejemplo -->
                    </div>
                    <div class="settings-form-footer"> <!-- Footer dentro de la sección -->
                        <button class="btn btn-primary" id="generate-new-token">
                            <i class="fas fa-plus"></i> Generar Nuevo Token
                        </button>
                    </div>
                    <!-- Modal o sección para mostrar token recién generado (oculto) -->
                    <div id="new-token-display" class="new-token-notice" style="display: none;">
                        <h4>¡Nuevo Token Generado!</h4>
                        <p>Copia tu nuevo token de API. No podrás volverlo a ver.</p>
                        <pre><code>vcld_NUEVOTOKENSECRETO1234567890</code></pre>
                        <button class="btn btn-sm btn-secondary" id="close-token-display">Entendido</button>
                    </div>
                 </section>

                <!-- === Sección Zona de Peligro === -->
                <section class="settings-section danger-zone">
                     <h3><i class="fas fa-exclamation-triangle fa-fw"></i> Zona de Peligro</h3>
                     <div class="danger-item">
                         <div>
                             <h4>Eliminar Cuenta</h4>
                             <p>Esta acción es irreversible. Se eliminarán todas tus aplicaciones, datos y acceso.</p>
                         </div>
                         <button class="btn btn-danger" id="delete-account-button"><i class="fas fa-user-times"></i> Eliminar mi Cuenta</button>
                     </div>
                </section>

            </main> <!-- Fin Main Content -->
        </div> <!-- Fin Main Wrapper -->
    </div> <!-- Fin Dashboard Layout -->

    <script src="dashboard-script.js"></script>
    <!-- Script específico para esta página o añadir lógica a dashboard-script.js -->
    <!-- <script src="account-script.js"></script> -->
</body>
</html>