<?php
// auth_check.php

function isSecure() { /* ... función ... */ }

if (session_status() == PHP_SESSION_NONE) {
    $cookieParams = session_get_cookie_params();
    session_set_cookie_params([
        'lifetime' => 0,
        'path' => '/',
        // 'domain' => '.venecloud.com', // <--- ELIMINADO O COMENTADO
        'secure' => isSecure(),
        'httponly' => true,
        'samesite' => 'Lax'
    ]);
    session_start();
}

if (!isset($_SESSION['logged_in']) || $_SESSION['logged_in'] !== true) {
    // Redirigir a la página de login DENTRO del dashboard
    $loginUrl = '/login.php'; // <<< RUTA RELATIVA CORRECTA
    // El parámetro redirect es opcional ahora que estamos en el mismo dominio,
    // pero puede ser útil si quieres volver a una página específica del dashboard
    $redirectParam = '?redirect=' . urlencode($_SERVER['REQUEST_URI'] ?? '/');

    header('Location: ' . $loginUrl . $redirectParam);
    exit();
}

$currentUserId = $_SESSION['user_id'] ?? null;
$currentUserEmail = $_SESSION['user_email'] ?? 'usuario@desconocido.com';
?>