<?php
// google-start.php

// Función para verificar HTTPS (COPIADA AQUÍ)
function isSecure() {
    return
        (!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] !== 'off')
        || (!empty($_SERVER['SERVER_PORT']) && $_SERVER['SERVER_PORT'] == 443)
        || (!empty($_SERVER['HTTP_X_FORWARDED_PROTO']) && $_SERVER['HTTP_X_FORWARDED_PROTO'] === 'https')
        || (!empty($_SERVER['HTTP_X_FORWARDED_SSL']) && $_SERVER['HTTP_X_FORWARDED_SSL'] === 'on');
}

// Iniciar sesión para generar y guardar el estado CSRF
if (session_status() == PHP_SESSION_NONE) {
    // Necesitamos la misma configuración de cookie que los otros scripts!
    $cookieParams = session_get_cookie_params();
    session_set_cookie_params([
        'lifetime' => 0,
        'path' => '/',
        // 'domain' => '.venecloud.com', // No necesario si todo está en dashboard.
        'secure' => isSecure(), // Ahora la función existe aquí
        'httponly' => true,
        'samesite' => 'Lax'
        ]);
    session_start();
}

// --- Configuración de Google (¡PON TUS VALORES REALES!) ---
$googleClientId = '623157853988-lr1dm6ifmv2eev3f8bqfmd0a577tvog9.apps.googleusercontent.com';
$googleRedirectUri = 'https://dashboard.venecloud.com/dashboard_app/api/v1/auth/callback.php'; // Debe coincidir EXACTAMENTE con Google Console

// Generar un estado aleatorio para protección CSRF
$state = bin2hex(random_bytes(16));
$_SESSION['oauth_state'] = $state; // Guardar estado en sesión

// Construir la URL de autorización de Google
$authUrl = 'https://accounts.google.com/o/oauth2/v2/auth?' . http_build_query([
    'response_type' => 'code',
    'client_id' => $googleClientId,
    'redirect_uri' => $googleRedirectUri,
    'scope' => 'openid email profile',
    'state' => $state,
    // 'access_type' => 'offline', // Descomentar si necesitas refresh tokens
    // 'prompt' => 'select_account' // Opcional
]);

// Redirigir al usuario a Google
header('Location: ' . $authUrl);
exit();

?>