<?php
// logout.php

// Función para verificar HTTPS
function isSecure() {
    return
        (!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] !== 'off')
        || (!empty($_SERVER['SERVER_PORT']) && $_SERVER['SERVER_PORT'] == 443)
        || (!empty($_SERVER['HTTP_X_FORWARDED_PROTO']) && $_SERVER['HTTP_X_FORWARDED_PROTO'] === 'https')
        || (!empty($_SERVER['HTTP_X_FORWARDED_SSL']) && $_SERVER['HTTP_X_FORWARDED_SSL'] === 'on');
}

// Iniciar o continuar sesión CON la configuración de cookies correcta
if (session_status() == PHP_SESSION_NONE) {
     $cookieParams = session_get_cookie_params();
    session_set_cookie_params([
        'lifetime' => 0, 'path' => '/', /*'domain' => '.venecloud.com',*/ 'secure' => isSecure(), 'httponly' => true, 'samesite' => 'Lax'
    ]);
    session_start();
}

// 2. Eliminar variables de sesión.
$_SESSION = array();

// 3. Borrar cookie de sesión.
if (ini_get("session.use_cookies")) {
    $params = session_get_cookie_params();
    setcookie(session_name(), '', time() - 42000,
        $params["path"], $params["domain"], // 'domain' será el actual si lo quitamos arriba
        $params["secure"], $params["httponly"]
    );
}

// 4. Destruir sesión.
session_destroy();

// 5. Redirigir a la página de login DENTRO del dashboard
$loginUrl = 'https://dashboard.venecloud.com/dashboard_app/login.php'; // <<< URL relativa a la raíz del dashboard
header('Location: ' . $loginUrl . '?logged_out=true');
exit();

?>