<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- CAMBIAR TÍTULO DINÁMICAMENTE CON BACKEND -->
    <link rel="icon" href="./images/x-icon/favicon.ico" type="image/x-icon">
    <title>Detalles: mi-proyecto-web - VeneCloud</title>
    <link rel="stylesheet" href="dashboard.css">
    <!-- Font Awesome CDN -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.2/css/all.min.css" integrity="sha512-SnH5WK+bZxgPHs44uWIX+LLJAJ9/2PkPKZ5QiAj6Ta86w+fsb2TkcmfRyVX3pBnMFcV7oQPJkl9QevSCWr3W6A==" crossorigin="anonymous" referrerpolicy="no-referrer" />
</head>
<body>
    <div class="dashboard-layout">
        <!-- ==================== SIDEBAR (Igual que en dashboard.html) ==================== -->
        <aside class="sidebar" id="sidebar">
            <div class="sidebar-logo">
                <a href="/">VeneCloud</a>
            </div>
            <nav class="sidebar-nav">
                 <ul>
                     <!-- MARCAR 'Aplicaciones' como activa si se navega desde ahí -->
                     <li class="active"><a href="/dashboard"><i class="fas fa-cubes fa-fw"></i> <span>Aplicaciones</span></a></li>
                     <li><a href="/billing"><i class="fas fa-credit-card fa-fw"></i> <span>Facturación</span></a></li>
                     <li><a href="/account"><i class="fas fa-user-cog fa-fw"></i> <span>Cuenta</span></a></li>
                     <li><a href="/docs" target="_blank"><i class="fas fa-book fa-fw"></i> <span>Documentación</span></a></li>
                     <li><a href="api/v1/auth/logout.php"><i class="fas fa-sign-out-alt fa-fw"></i> <span>Salir</span></a></li>
                 </ul>
            </nav>
        </aside> <!-- Fin Sidebar -->

        <!-- ==================== MAIN WRAPPER (Header + Content) ==================== -->
        <div class="main-wrapper" id="main-wrapper">
            <!-- ==================== DASHBOARD HEADER (Igual que en dashboard.html) ==================== -->
            <header class="dashboard-header">
                <div class="header-left">
                    <button id="sidebar-toggle" class="btn btn-icon" aria-label="Toggle sidebar">
                        <i class="fas fa-bars"></i>
                    </button>
                     <!-- Opcional: Breadcrumbs -->
                     <nav aria-label="breadcrumb" class="breadcrumbs">
                         <ol>
                             <li><a href="/dashboard">Aplicaciones</a></li>
                             <li><span aria-current="page">mi-proyecto-web</span></li>
                         </ol>
                     </nav>
                </div>
                <div class="header-right">
                     <!-- Menú Usuario (Igual) -->
                     <div class="user-menu"> ... </div>
                </div>
            </header> <!-- Fin Dashboard Header -->

            <!-- ==================== MAIN CONTENT AREA (Detalles App) ==================== -->
            <main class="main-content">

                <!-- === App Header === -->
                <div class="app-details-header">
                    <div class="app-title-status">
                         <h1>mi-proyecto-web</h1>
                         <span class="status status-running"><i class="fas fa-circle"></i> Corriendo</span>
                    </div>
                    <div class="app-actions">
                        <a href="https://mi-proyecto-web.venecloud.com" target="_blank" class="btn btn-secondary">
                            <i class="fas fa-external-link-alt"></i> Abrir App
                        </a>
                        <button class="btn btn-secondary action-restart"><i class="fas fa-redo"></i> Reiniciar</button>
                         <!-- Botón de Más Acciones (opcional aquí también) -->
                    </div>
                </div>

                <!-- === Tab Navigation === -->
                <nav class="tab-navigation">
                    <ul>
                        <li><a href="#overview" class="tab-link active" data-target="overview-content"><i class="fas fa-tachometer-alt fa-fw"></i> Visión General</a></li>
                        <li><a href="#settings" class="tab-link" data-target="settings-content"><i class="fas fa-cog fa-fw"></i> Configuración</a></li>
                        <li><a href="#logs" class="tab-link" data-target="logs-content"><i class="fas fa-file-alt fa-fw"></i> Logs</a></li>
                        <!-- <li><a href="#deployments" class="tab-link" data-target="deployments-content"><i class="fas fa-history fa-fw"></i> Despliegues</a></li> -->
                    </ul>
                </nav>

                <!-- === Tab Content === -->
                <div class="tab-content-area">

                    <!-- == Visión General (Overview) == -->
                    <div id="overview-content" class="tab-pane active">
                        <h3>Resumen Rápido</h3>
                        <div class="info-grid">
                             <div class="info-card">
                                 <h4>URL Principal</h4>
                                 <p><a href="https://mi-proyecto-web.venecloud.com" target="_blank">mi-proyecto-web.venecloud.com <i class="fas fa-external-link-alt fa-xs"></i></a></p>
                             </div>
                             <div class="info-card">
                                 <h4>Plan Actual</h4>
                                 <p>Gratuito</p> <!-- O nombre del plan -->
                             </div>
                             <div class="info-card">
                                 <h4>Último Despliegue</h4>
                                 <p>Hace 15 minutos</p>
                             </div>
                            <div class="info-card">
                                <h4>Región</h4>
                                <p>US-East</p> <!-- O la región real -->
                            </div>
                        </div>
                         <!-- Placeholder para gráficas de uso -->
                         <h4>Uso Básico (Placeholder)</h4>
                         <div class="usage-placeholder">Gráfica CPU / Memoria</div>
                    </div>

                    <!-- == Configuración (Settings) == -->
                    <div id="settings-content" class="tab-pane">
                        <div class="settings-section">
                            <h3><i class="fas fa-key fa-fw"></i> Variables de Entorno</h3>
                            <p class="section-description">Valores secretos o de configuración disponibles para tu aplicación.</p>
                            <div class="env-vars-list">
                                <!-- Ejemplo Variable -->
                                <div class="env-var-item">
                                    <span class="env-key">DATABASE_URL</span>
                                    <span class="env-value">********</span> <!-- Ocultar por defecto -->
                                    <div class="env-actions">
                                        <button class="btn btn-icon btn-sm btn-reveal" title="Mostrar valor"><i class="fas fa-eye"></i></button>
                                        <button class="btn btn-icon btn-sm btn-edit" title="Editar"><i class="fas fa-pencil-alt"></i></button>
                                        <button class="btn btn-icon btn-sm btn-delete danger-action" title="Eliminar"><i class="fas fa-trash-alt"></i></button>
                                    </div>
                                </div>
                                <!-- Fin Ejemplo -->
                            </div>
                            <form class="add-env-var-form">
                                <h4>Añadir Nueva Variable</h4>
                                <input type="text" placeholder="KEY_NOMBRE" required>
                                <input type="text" placeholder="Valor" required>
                                <button type="submit" class="btn btn-primary btn-sm"><i class="fas fa-plus"></i> Añadir</button>
                            </form>
                        </div>

                        <div class="settings-section">
                            <h3><i class="fas fa-link fa-fw"></i> Dominio Personalizado</h3>
                            <p class="section-description">Añade tu propio dominio a esta aplicación.</p>
                            <!-- Lista de dominios añadidos -->
                            <form class="add-domain-form">
                                <input type="text" placeholder="www.tu-dominio.com" required>
                                <button type="submit" class="btn btn-primary btn-sm"><i class="fas fa-plus"></i> Añadir Dominio</button>
                            </form>
                        </div>

                        <div class="settings-section danger-zone">
                             <h3><i class="fas fa-exclamation-triangle fa-fw"></i> Zona de Peligro</h3>
                            <div class="danger-item">
                                <div>
                                    <h4>Borrar esta aplicación</h4>
                                    <p>Esta acción es irreversible. Se eliminarán todos los datos y despliegues.</p>
                                </div>
                                <button class="btn btn-danger"><i class="fas fa-trash-alt"></i> Borrar Aplicación</button>
                            </div>
                        </div>
                    </div>

                    <!-- == Logs == -->
                    <!--
                    <div id="logs-content" class="tab-pane">
                         <div class="logs-header">
                            <h3><i class="fas fa-terminal fa-fw"></i> Logs en Tiempo Real</h3>
                            <button class="btn btn-secondary btn-sm"><i class="fas fa-play"></i> Conectar</button>
                         </div>
                        <pre class="log-output">
                            <code>Esperando conexión...</code>
                        </pre>
                    </div>-->
                    <div id="logs-content" class="tab-pane">
                         <div class="logs-header">
                            <h3><i class="fas fa-terminal fa-fw"></i> Logs en Tiempo Real</h3>
                             <!-- Añadido ID y data-status inicial -->
                            <button class="btn btn-secondary btn-sm" id="log-connect-button" data-status="disconnected">
                                <i class="fas fa-play"></i> <span>Conectar</span>
                            </button>
                         </div>
                         <!-- Añadido ID al <code> -->
                        <pre class="log-output"><code id="log-output-content">Esperando conexión...</code></pre>
                    </div>

                    <!-- == Despliegues (Opcional) == -->
                    <!-- <div id="deployments-content" class="tab-pane"> ... </div> -->

                </div> <!-- Fin Tab Content Area -->

            </main> <!-- Fin Main Content -->
        </div> <!-- Fin Main Wrapper -->
    </div> <!-- Fin Dashboard Layout -->

    <script src="dashboard-script.js"></script>
</body>
</html>