<?php require_once 'api/v1/auth/auth_check.php'; ?>
<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="icon" href="./images/x-icon/favicon.ico" type="image/x-icon">
    <title>Facturación - VeneCloud</title>
    <link rel="stylesheet" href="dashboard.css">
    <!-- Font Awesome CDN -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.2/css/all.min.css" integrity="sha512-SnH5WK+bZxgPHs44uWIX+LLJAJ9/2PkPKZ5QiAj6Ta86w+fsb2TkcmfRyVX3pBnMFcV7oQPJkl9QevSCWr3W6A==" crossorigin="anonymous" referrerpolicy="no-referrer" />
</head>
<body>
    <div class="dashboard-layout">
        <!-- ==================== SIDEBAR ==================== -->
        <aside class="sidebar" id="sidebar">
            <div class="sidebar-logo"><a href="./">VeneCloud</a></div>
            <nav class="sidebar-nav">
                 <ul>
                     <li><a href="/dashboard_app"><i class="fas fa-cubes fa-fw"></i> <span>Aplicaciones</span></a></li>
                     <!-- MARCAR 'Facturación' como activa -->
                     <li class="active"><a href="./billing.php"><i class="fas fa-credit-card fa-fw"></i> <span>Facturación</span></a></li>
                     <li><a href="account.php"><i class="fas fa-user-cog fa-fw"></i> <span>Cuenta</span></a></li>
                     <li><a href="docs.php"><i class="fas fa-book fa-fw"></i> <span>Documentación</span></a></li>
                     <li><a href="api/v1/auth/logout.php"><i class="fas fa-sign-out-alt fa-fw"></i> <span>Salir</span></a></li>
                 </ul>
            </nav>
        </aside>

        <!-- ==================== MAIN WRAPPER ==================== -->
        <div class="main-wrapper" id="main-wrapper">
            <!-- ==================== DASHBOARD HEADER ==================== -->
            <header class="dashboard-header">
                 <div class="header-left">
                    <button id="sidebar-toggle" class="btn btn-icon" aria-label="Toggle sidebar"><i class="fas fa-bars"></i></button>
                     <nav aria-label="breadcrumb" class="breadcrumbs">
                         <ol>
                             <li><span aria-current="page">Facturación</span></li> <!-- Directo a Facturación -->
                         </ol>
                     </nav>
                 </div>
                <div class="header-right">
                     <div class="user-menu">
                         <span class="user-name"><?php echo htmlspecialchars($_SESSION['user_email'] ?? 'Usuario'); ?></span>
                         <button class="user-menu-toggle"><i class="fas fa-user-circle fa-lg"></i> <i class="fas fa-caret-down"></i></button>
                         <div class="user-menu-dropdown" style="display: none;">
                             <a href="/account">Mi Cuenta</a>
                             <a href="api/v1/auth/logout.php">Cerrar Sesión</a>
                         </div>
                    </div>
                </div>
            </header>

            <!-- ==================== MAIN CONTENT AREA ==================== -->
            <main class="main-content">
                <div class="content-header">
                    <h1>Facturación y Suscripción</h1>
                </div>

                <div class="billing-grid"> <!-- Grid para organizar secciones -->

                    <!-- === Sección Plan Actual === -->
                    <section class="settings-section current-plan-section">
                        <h3><i class="fas fa-box-open fa-fw"></i> Plan Actual</h3>
                        <div class="settings-content-padded">
                            <div class="current-plan-details">
                                <div class="plan-name-price">
                                    <span class="plan-name">Plan Gratuito</span>
                                    <span class="plan-price">Bs. 0 / mes</span>
                                </div>
                                <ul class="plan-limits">
                                    <li><i class="fas fa-check-circle text-success"></i> 1 Aplicación</li>
                                    <li><i class="fas fa-check-circle text-success"></i> 512 MB RAM</li>
                                    <li><i class="fas fa-check-circle text-success"></i> 1 GB Almacenamiento</li>
                                    <li><i class="fas fa-times-circle text-danger"></i> Dominio personalizado</li>
                                </ul>
                                <!-- Mostrar botón solo si no está en el plan más alto -->
                                <button class="btn btn-primary" id="change-plan-button">Cambiar Plan</button>
                            </div>
                        </div>
                    </section>

                    <!-- === Sección Método de Pago === -->
                    <section class="settings-section payment-method-section">
                        <h3><i class="fas fa-credit-card fa-fw"></i> Método de Pago</h3>
                        <div class="settings-content-padded">
                            <!-- Mostrar detalles si existe un método guardado -->
                            <div class="payment-method-details" id="payment-details-view" style="display: none;">
                                <i class="fab fa-cc-visa fa-2x"></i> <!-- O Mastercard, etc. -->
                                <span>Terminada en **** 4242</span>
                                <small>Expira: 12/2026</small>
                                <button class="btn btn-sm btn-secondary" id="update-payment-button">Actualizar</button>
                            </div>
                            <!-- Mostrar botón para añadir si no hay método -->
                            <div class="no-payment-method" id="add-payment-view">
                                <p>No has añadido un método de pago.</p>
                                <button class="btn btn-primary" id="add-payment-button">
                                    <i class="fas fa-plus"></i> Añadir Método de Pago
                                </button>
                                <small class="form-text">Necesario para planes de pago.</small>
                            </div>
                             <!-- Aquí iría el formulario/integración de Stripe/etc. (oculto por defecto) -->
                        </div>
                    </section>

                    <!-- === Sección Opciones de Planes (Opcional aquí, o enlazar a página de precios) === -->
                     <section class="settings-section available-plans-section" style="grid-column: 1 / -1;"> <!-- Ocupa todo el ancho -->
                        <h3><i class="fas fa-layer-group fa-fw"></i> Opciones de Planes</h3>
                         <div class="plan-options-grid">
                            <!-- Tarjeta Plan Gratuito (Énfasis en 'Tu Plan Actual') -->
                            <div class="plan-card current">
                                <h4>Gratuito</h4>
                                <p class="price">Bs. 0<span>/mes</span></p>
                                <ul>
                                    <li>1 App</li><li>512 MB RAM</li><li>1 GB SSD</li><li>Soporte Comunitario</li>
                                </ul>
                                <button class="btn btn-secondary" disabled>Tu Plan Actual</button>
                            </div>
                             <!-- Tarjeta Plan Básico -->
                             <div class="plan-card">
                                 <h4>Básico</h4>
                                 <p class="price">Bs. 180<span>/mes</span></p> <!-- PRECIO EJEMPLO -->
                                 <ul>
                                     <li>3 Apps</li><li>1 GB RAM</li><li>10 GB SSD</li><li>Dominio Personalizado</li><li>Soporte Email</li>
                                 </ul>
                                 <button class="btn btn-primary upgrade-plan-button" data-plan="basico">Actualizar</button>
                             </div>
                            <!-- Tarjeta Plan Pro -->
                             <div class="plan-card recommended"> <!-- Resaltar recomendado -->
                                 <span class="recommended-badge">Recomendado</span>
                                 <h4>Pro</h4>
                                 <p class="price">Bs. 550<span>/mes</span></p> <!-- PRECIO EJEMPLO -->
                                 <ul>
                                     <li>10 Apps</li><li>2 GB RAM</li><li>50 GB SSD</li><li>Dominio Personalizado</li><li>Soporte Prioritario</li>
                                 </ul>
                                 <button class="btn btn-primary upgrade-plan-button" data-plan="pro">Actualizar</button>
                             </div>
                         </div>
                    </section>


                    <!-- === Sección Historial de Facturación === -->
                    <section class="settings-section billing-history-section" style="grid-column: 1 / -1;"> <!-- Ocupa todo el ancho -->
                        <h3><i class="fas fa-history fa-fw"></i> Historial de Facturación</h3>
                        <div class="table-responsive">
                            <table class="billing-table">
                                <thead>
                                    <tr>
                                        <th>Fecha</th>
                                        <th>Descripción</th>
                                        <th>Monto (Bs.)</th>
                                        <th>Estado</th>
                                        <th>Acciones</th>
                                    </tr>
                                </thead>
                                <tbody id="billing-history-body">
                                    <!-- Ejemplo Fila (Se generaría dinámicamente) -->
                                    <tr>
                                        <td>01/05/2024</td>
                                        <td>Suscripción Plan Básico (Mayo)</td>
                                        <td>180.00</td>
                                        <td><span class="status-badge status-paid">Pagado</span></td>
                                        <td><a href="/invoice/12345" class="btn btn-sm btn-outline" title="Ver Factura"><i class="fas fa-file-invoice-dollar"></i></a></td>
                                    </tr>
                                     <tr>
                                        <td>01/04/2024</td>
                                        <td>Suscripción Plan Básico (Abril)</td>
                                        <td>180.00</td>
                                        <td><span class="status-badge status-paid">Pagado</span></td>
                                         <td><a href="/invoice/12344" class="btn btn-sm btn-outline" title="Ver Factura"><i class="fas fa-file-invoice-dollar"></i></a></td>
                                    </tr>
                                    <!-- Mensaje si no hay historial -->
                                    <tr id="no-billing-history" style="display: none;">
                                        <td colspan="5" class="text-center">No hay historial de facturación todavía.</td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </section>

                </div> <!-- Fin Billing Grid -->

            </main> <!-- Fin Main Content -->
        </div> <!-- Fin Main Wrapper -->
    </div> <!-- Fin Dashboard Layout -->

    <script src="dashboard-script.js"></script>
    <!-- <script src="billing-script.js"></script> --> <!-- JS específico si se necesita -->
</body>
</html>