
<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="icon" href="./images/x-icon/favicon.ico" type="image/x-icon">
    <title>Crear Nueva Aplicación - VeneCloud</title>
    <link rel="stylesheet" href="dashboard.css">
    <!-- Font Awesome CDN -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.2/css/all.min.css" integrity="sha512-SnH5WK+bZxgPHs44uWIX+LLJAJ9/2PkPKZ5QiAj6Ta86w+fsb2TkcmfRyVX3pBnMFcV7oQPJkl9QevSCWr3W6A==" crossorigin="anonymous" referrerpolicy="no-referrer" />
</head>
<body>
    <div class="dashboard-layout">
        <!-- ==================== SIDEBAR ==================== -->
        <aside class="sidebar" id="sidebar">
            <div class="sidebar-logo"><a href="./">VeneCloud</a></div>
            <nav class="sidebar-nav">
                 <ul>
                     <li class="active"><a href="./"><i class="fas fa-cubes fa-fw"></i> <span>Aplicaciones</span></a></li>
                     <li><a href="billing.php"><i class="fas fa-credit-card fa-fw"></i> <span>Facturación</span></a></li>
                     <!-- MARCAR 'Cuenta' como activa -->
                     <li><a href="account.php"><i class="fas fa-user-cog fa-fw"></i> <span>Cuenta</span></a></li>
                     <li><a href="docs.php"><i class="fas fa-book fa-fw"></i> <span>Documentación</span></a></li>
                     <li><a href="api/v1/auth/logout.php"><i class="fas fa-sign-out-alt fa-fw"></i> <span>Salir</span></a></li>
                 </ul>
            </nav>
        </aside>

        <!-- ==================== MAIN WRAPPER ==================== -->
        <div class="main-wrapper" id="main-wrapper">
            <!-- ==================== DASHBOARD HEADER ==================== -->
            <header class="dashboard-header">
                 <!-- ... (Header igual que en las otras páginas del dashboard) ... -->
                 <div class="header-left">
                    <button id="sidebar-toggle" class="btn btn-icon" aria-label="Toggle sidebar"><i class="fas fa-bars"></i></button>
                     <nav aria-label="breadcrumb" class="breadcrumbs">
                         <ol>
                             <li><a href="/dashboard_app">Aplicaciones</a></li>
                             <li><span aria-current="page">Crear Nueva</span></li>
                         </ol>
                     </nav>
                 </div>
                <div class="header-right">
                     <div class="user-menu">...</div>
                </div>
            </header>

            <!-- ==================== MAIN CONTENT AREA ==================== -->
            <main class="main-content">
                <div class="content-header">
                    <h1>Crear Nueva Aplicación</h1>
                </div>

                <!-- === Paso 1: Conectar Fuente === -->
                <section class="creation-step" id="step-connect-source">
                    <h2>1. Elige tu fuente de código</h2>
                    <p>Conecta tu repositorio Git o elige otra opción.</p>
                    <div class="source-options">
                        <button class="btn source-button github-button" data-provider="github">
                            <i class="fab fa-github"></i> Conectar con GitHub
                        </button>
                        <button class="btn source-button gitlab-button" data-provider="gitlab" disabled>
                            <i class="fab fa-gitlab"></i> Conectar con GitLab <small>(Próximamente)</small>
                        </button>
                        <button class="btn source-button bitbucket-button" data-provider="bitbucket" disabled>
                            <i class="fab fa-bitbucket"></i> Conectar con Bitbucket <small>(Próximamente)</small>
                        </button>
                        <!-- Otras opciones futuras
                        <a href="#" class="other-option">Desplegar imagen Docker</a>
                        <a href="#" class="other-option">Usar plantilla de VeneCloud</a>
                        -->
                    </div>
                </section>

                <!-- === Paso 2: Seleccionar Repositorio (Se muestra después de conectar) === -->
                <section class="creation-step" id="step-select-repo" style="display: none;"> <!-- Oculto inicialmente -->
                    <h2>2. Selecciona el repositorio</h2>
                    <div class="connected-account">
                        Conectado como: <strong id="connected-account-name">tu-usuario-github</strong>
                        <button class="btn btn-sm btn-link" id="disconnect-account">Desconectar</button>
                    </div>
                    <div class="repo-selection">
                        <input type="text" id="repo-search" placeholder="Buscar repositorios...">
                        <div class="repo-list" id="repo-list-container">
                            <!-- Placeholder: La lista de repos se cargaría aquí dinámicamente -->
                            <p>Cargando repositorios...</p>
                             <!-- Ejemplo de item (se generaría con JS):
                             <div class="repo-item">
                                 <span><i class="fas fa-book"></i> mi-proyecto-increible</span>
                                 <button class="btn btn-sm btn-primary select-repo-button" data-repo-name="mi-proyecto-increible">Seleccionar</button>
                             </div>
                             <div class="repo-item">
                                 <span><i class="fas fa-lock"></i> otro-repo-privado</span>
                                 <button class="btn btn-sm btn-primary select-repo-button" data-repo-name="otro-repo-privado">Seleccionar</button>
                             </div>
                             -->
                        </div>
                    </div>
                </section>

                <!-- === Paso 3: Configurar Aplicación (Se muestra después de seleccionar repo) === -->
                <section class="creation-step" id="step-configure-app" style="display: none;"> <!-- Oculto inicialmente -->
                    <h2>3. Configura tu aplicación</h2>
                    <form id="create-app-form">
                        <div class="form-group repo-display">
                            <label>Repositorio Seleccionado:</label>
                            <p><strong id="selected-repo-name">nombre-del-repo</strong></p>
                        </div>

                        <div class="form-group">
                            <label for="app-branch">Rama a Desplegar:</label>
                            <input type="text" id="app-branch" name="branch" value="main" required>
                        </div>

                        <div class="form-group">
                            <label for="app-name">Nombre de la Aplicación:</label>
                            <input type="text" id="app-name" name="app_name" placeholder="ej: mi-super-app" required pattern="[a-z0-9-]+" title="Solo minúsculas, números y guiones">
                            <small class="form-text">Será parte de la URL: <code id="app-url-preview">https://tu-app.venecloud.com</code></small>
                        </div>

                        <div class="form-group">
                            <label for="app-region">Región:</label>
                            <select id="app-region" name="region">
                                <option value="us-east" selected>US-East (N. Virginia)</option>
                                <!-- Añadir más regiones si las ofreces -->
                            </select>
                        </div>

                        <!-- Opcional: Selección de Plan -->
                        <!-- <div class="form-group"> ... </div> -->

                         <!-- Opcional: Configuración Avanzada (oculta por defecto) -->
                        <details class="advanced-config">
                            <summary>Configuración Avanzada (Opcional)</summary>
                            <div class="form-group">
                                <label for="app-root-dir">Directorio Raíz:</label>
                                <input type="text" id="app-root-dir" name="root_directory" placeholder="/">
                                <small class="form-text">Directorio que contiene tu código (ej: /frontend).</small>
                           </div>
                           <!-- Campos para Build/Start Command si son necesarios -->
                        </details>


                        <div class="form-actions">
                             <button type="submit" class="btn btn-primary btn-lg">
                                 <i class="fas fa-rocket"></i> Crear Aplicación
                            </button>
                        </div>
                    </form>
                </section>

            </main> <!-- Fin Main Content -->
        </div> <!-- Fin Main Wrapper -->
    </div> <!-- Fin Dashboard Layout -->

    <script src="dashboard-script.js"></script>
    <!-- Script específico para esta página (o añadir lógica a dashboard-script.js) -->
    <script src="create-app-script.js"></script>
</body>
</html>