<?php require_once 'api/v1/auth/auth_check.php'; ?>
<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="icon" href="./images/x-icon/favicon.ico" type="image/x-icon">
    <title>Documentación - VeneCloud</title>
    <link rel="stylesheet" href="dashboard.css">
    <!-- Font Awesome CDN -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.2/css/all.min.css" integrity="sha512-SnH5WK+bZxgPHs44uWIX+LLJAJ9/2PkPKZ5QiAj6Ta86w+fsb2TkcmfRyVX3pBnMFcV7oQPJkl9QevSCWr3W6A==" crossorigin="anonymous" referrerpolicy="no-referrer" />
</head>
<body>
    <div class="dashboard-layout">
        <!-- ==================== SIDEBAR ==================== -->
        <aside class="sidebar" id="sidebar">
            <div class="sidebar-logo"><a href="./">VeneCloud</a></div>
            <nav class="sidebar-nav">
                    <ul>
                     <li><a href="/dashboard_app"><i class="fas fa-cubes fa-fw"></i> <span>Aplicaciones</span></a></li>
                     <!-- MARCAR 'Facturación' como activa -->
                     <li><a href="billing.php"><i class="fas fa-credit-card fa-fw"></i> <span>Facturación</span></a></li>
                     <li><a href="account.php"><i class="fas fa-user-cog fa-fw"></i> <span>Cuenta</span></a></li>
                     <li class="active"><a href="#"><i class="fas fa-book fa-fw"></i> <span>Documentación</span></a></li>
                     <li><a href="api/v1/auth/logout.php"><i class="fas fa-sign-out-alt fa-fw"></i> <span>Salir</span></a></li>
                 </ul>
            </nav>
        </aside>

        <!-- ==================== MAIN WRAPPER ==================== -->
        <div class="main-wrapper" id="main-wrapper">
            <!-- ==================== DASHBOARD HEADER ==================== -->
            <header class="dashboard-header">
                 <div class="header-left">
                    <button id="sidebar-toggle" class="btn btn-icon" aria-label="Toggle sidebar"><i class="fas fa-bars"></i></button>
                     <nav aria-label="breadcrumb" class="breadcrumbs">
                         <ol>
                             <li><span aria-current="page">Documentación</span></li>
                         </ol>
                     </nav>
                 </div>
                <div class="header-right">
                     <div class="user-menu">
                        <span class="user-name"><?php echo htmlspecialchars($_SESSION['user_email'] ?? 'Usuario'); ?></span>
                        <button class="user-menu-toggle"><i class="fas fa-user-circle fa-lg"></i> <i class="fas fa-caret-down"></i></button>
                        <div class="user-menu-dropdown" style="display: none;">
                            <a href="account.php">Mi Cuenta</a>
                            <a href="api/v1/auth/logout.php">Cerrar Sesión</a>
                        </div>
                    </div>
                </div>
            </header>

            <!-- ==================== MAIN CONTENT AREA ==================== -->
            <main class="main-content">
                <div class="content-header">
                    <h1>Documentación de VeneCloud</h1>
                </div>

                <div class="docs-container">
                    <aside class="docs-sidebar">
                        <h3>Guías Rápidas</h3>
                        <ul>
                            <li><a href="#getting-started">Primeros Pasos</a></li>
                            <li><a href="#deploy-frontend">Desplegar un FrontEnd</a></li>
                            <li><a href="#deploy-api">Desplegar una API</a></li>
                            <li><a href="#create-database">Crear una Base de Datos</a></li>
                            <li><a href="#custom-domains">Dominios Personalizados</a></li>
                            <li><a href="#env-vars">Variables de Entorno</a></li>
                        </ul>
                        <h3>Referencia</h3>
                        <ul>
                            <li><a href="#cli">CLI de VeneCloud (Próximamente)</a></li>
                            <li><a href="#api-reference">Referencia de la API (Próximamente)</a></li>
                        </ul>
                        <h3>Solución de Problemas</h3>
                        <ul>
                            <li><a href="#faq">Preguntas Frecuentes (FAQ)</a></li>
                            <li><a href="#troubleshooting-deploys">Problemas de Despliegue</a></li>
                        </ul>
                    </aside>

                    <article class="docs-content">
                        <section id="getting-started" class="docs-section">
                            <h2>Primeros Pasos con VeneCloud</h2>
                            <p>Bienvenido a VeneCloud. Esta guía te ayudará a desplegar tu primera aplicación en minutos.</p>
                            <ol>
                                <li><strong>Regístrate:</strong> Si aún no lo has hecho, crea tu cuenta gratuita.</li>
                                <li><strong>Conecta tu Repositorio:</strong> Ve a "Aplicaciones" y luego "Crear Nueva Aplicación". Conecta tu cuenta de GitHub (próximamente GitLab/Bitbucket).</li>
                                <li><strong>Selecciona tu Proyecto:</strong> Elige el repositorio que quieres desplegar.</li>
                                <li><strong>Configura y Despliega:</strong> Dale un nombre a tu aplicación, selecciona la rama y ¡listo! VeneCloud se encargará del resto.</li>
                            </ol>
                            <p>Para desplegar bases de datos, ve a "Aplicaciones" &rarr; "BackEnd (Bases de Datos)" y sigue los pasos.</p>
                        </section>

                        <section id="deploy-frontend" class="docs-section">
                            <h2>Desplegar un FrontEnd (Sitio Estático o SPA)</h2>
                            <p>VeneCloud facilita el despliegue de tus proyectos frontend construidos con HTML/CSS/JS puro, o frameworks como React, Vue, Angular, Svelte, etc.</p>
                            <p><strong>Proceso:</strong></p>
                            <ul>
                                <li>Al crear una nueva aplicación de tipo "FrontEnd", VeneCloud detectará automáticamente los frameworks comunes.</li>
                                <li>Si es un sitio estático, simplemente asegúrate de que tu `index.html` esté en la raíz del proyecto (o especifica un Directorio Raíz en la configuración avanzada).</li>
                                <li>Para SPAs (React, Vue, etc.), VeneCloud ejecutará el comando de build estándar (ej: `npm run build`) y desplegará la carpeta de salida (ej: `build` o `dist`). Puedes personalizar estos comandos si es necesario.</li>
                            </ul>
                             <pre><code># Ejemplo para un proyecto React creado con Create React App
# Comando de Build (automático): npm run build
# Directorio de Publicación (automático): build</code></pre>
                        </section>

                        <section id="deploy-api" class="docs-section">
                            <h2>Desplegar una API / GraphQL</h2>
                            <p>Despliega tus backends para APIs RESTful o GraphQL construidos en Node.js, Python, PHP, etc.</p>
                            <p><strong>Proceso:</strong></p>
                            <ul>
                                <li>Selecciona "API / GraphQL" al crear tu aplicación.</li>
                                <li>VeneCloud buscará un archivo como `package.json` (Node), `requirements.txt` (Python), `composer.json` (PHP) para detectar el lenguaje e instalar dependencias.</li>
                                <li>Asegúrate de que tu aplicación escuche en el puerto asignado por la variable de entorno `PORT`.</li>
                                <li>Define un "Comando de Inicio" (Start Command) en la configuración de tu app si es necesario (ej: `npm start`, `python app.py`, `php -S 0.0.0.0:$PORT public/index.php`).</li>
                            </ul>
                             <pre><code># Ejemplo para una API Node.js con Express
# package.json:
# {
#   "scripts": {
#     "start": "node server.js"
#   }
# }
#
# server.js (escuchar en process.env.PORT):
# const PORT = process.env.PORT || 3001;
# app.listen(PORT, () => console.log(`Server running on ${PORT}`));</code></pre>
                        </section>

                        <section id="create-database" class="docs-section">
                            <h2>Crear una Base de Datos MySQL</h2>
                            <p>Puedes crear fácilmente bases de datos MySQL para tus aplicaciones.</p>
                            <ol>
                                <li>Ve a "Aplicaciones" y selecciona "BackEnd (Bases de Datos)" en el submenú.</li>
                                <li>Sube un archivo `.sql` con la estructura de tu base de datos y datos iniciales, o pega el script directamente.</li>
                                <li>Dale un nombre a tu base de datos.</li>
                                <li>Haz clic en "Crear y Ejecutar".</li>
                                <li>Se te mostrarán las credenciales de conexión (Host, Puerto, Usuario, Contraseña, Nombre de la DB). ¡Guarda tu contraseña en un lugar seguro!</li>
                            </ol>
                            <p>Podrás usar estas credenciales para conectar desde tus aplicaciones o con herramientas de gestión de bases de datos.</p>
                        </section>
                         <!-- Añadir más secciones según sea necesario -->
                         <section id="custom-domains" class="docs-section">
                            <h2>Dominios Personalizados</h2>
                            <p>Contenido sobre cómo añadir dominios personalizados próximamente...</p>
                        </section>
                        <section id="env-vars" class="docs-section">
                            <h2>Variables de Entorno</h2>
                            <p>Contenido sobre cómo gestionar variables de entorno próximamente...</p>
                        </section>
                        <section id="faq" class="docs-section">
                            <h2>Preguntas Frecuentes (FAQ)</h2>
                            <p>Respuestas a preguntas comunes próximamente...</p>
                        </section>
                         <section id="troubleshooting-deploys" class="docs-section">
                            <h2>Problemas de Despliegue</h2>
                            <p>Guía para solucionar problemas comunes de despliegue próximamente...</p>
                        </section>
                    </article>
                </div>

            </main> <!-- Fin Main Content -->
        </div> <!-- Fin Main Wrapper -->
    </div> <!-- Fin Dashboard Layout -->

    <script src="dashboard-script.js"></script>
    <!-- Script específico para docs si se necesita (ej: scrollspy, filtrado) -->
    <!-- <script src="docs-script.js"></script> -->
</body>
</html>