<?php require_once 'api/v1/auth/auth_check.php'; // Asegúrate que la ruta sea correcta desde index.php ?>
<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="icon" href="images/x-icon/favicon.ico" type="image/x-icon">
    <title>Dashboard - VeneCloud</title>
    <link rel="stylesheet" href="dashboard.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.2/css/all.min.css" integrity="sha512-SnH5WK+bZxgPHs44uWIX+LLJAJ9/2PkPKZ5QiAj6Ta86w+fsb2TkcmfRyVX3pBnMFcV7oQPJkl9QevSCWr3W6A==" crossorigin="anonymous" referrerpolicy="no-referrer" />
    <style>
        /* Estilos para la tabla de proyectos (si decides usarla en el futuro) */
        .projects-table-container { margin-bottom: 30px; background-color: #fff; border: 1px solid #e9ecef; border-radius: 6px; padding: 20px; }
        .projects-table { width: 100%; border-collapse: collapse; font-size: 0.9em; }
        .projects-table th, .projects-table td { padding: 10px 12px; text-align: left; border-bottom: 1px solid #e9ecef; }
        .projects-table th { background-color: #f8f9fa; font-weight: 600; color: #495057; }
        .projects-table tbody tr:hover { background-color: #f8f9fa; }
        .projects-table .project-actions a, .projects-table .project-actions button { margin-right: 5px;}
        .no-projects-message-table td { text-align: center; padding: 20px; color: #6c757d;}

        /* Estilos para las secciones de recursos (si los necesitas más adelante) */
        .resource-section { margin-bottom: 30px; }
        .resource-section h3 {
            font-size: 1.2em; /* Ajustado */
            padding: 12px 15px; /* Ajustado */
            margin: 0;
            border-bottom: 1px solid #e9ecef; display: flex;
            align-items: center; color: #343a40; background-color: #f8f9fa;
            border-top-left-radius: 6px; border-top-right-radius: 6px;
        }
        .resource-section h3 i { margin-right: 10px; color: #6c757d; }
        .resource-list { list-style: none; padding: 0; margin: 0; }
        .resource-item {
            display: flex; justify-content: space-between; align-items: center;
            padding: 10px 15px; border: 1px solid #e9ecef; border-top:none; /* Ajustado */
            background-color: #fff; font-size: 0.9em;
        }
        .resource-item:last-child { border-bottom-left-radius: 6px; border-bottom-right-radius: 6px; }
        .resource-item:hover { background-color: #fdfdff; }
        .resource-item .name a { font-weight: 500; color: #007bff; text-decoration:none; }
        .resource-item .name a:hover { text-decoration: underline; }
        .resource-item .status { font-size: 0.85em; }
        .resource-item .actions .btn { margin-left: 5px; }
        .no-resources { padding: 15px; text-align: center; color: #6c757d; background-color: #fff; border: 1px solid #e9ecef; border-top:none; border-bottom-left-radius: 6px; border-bottom-right-radius: 6px;}
        .section-actions {padding: 10px 15px; background-color:#fff; border:1px solid #e9ecef; border-top:none; border-bottom-left-radius:6px; border-bottom-right-radius:6px; text-align: right;}

    </style>
</head>
<body>
    <div class="dashboard-layout">
        <!-- ==================== SIDEBAR ==================== -->
        <aside class="sidebar" id="sidebar">
            <div class="sidebar-logo"><a href="./">VeneCloud</a></div>
            <nav class="sidebar-nav">
                 <ul>
                     <li class="active"><a href="./"><i class="fas fa-cubes fa-fw"></i> <span>Aplicaciones</span></a></li>
                     <li><a href="billing.php"><i class="fas fa-credit-card fa-fw"></i> <span>Facturación</span></a></li>
                     <li><a href="account.php"><i class="fas fa-user-cog fa-fw"></i> <span>Cuenta</span></a></li>
                     <li><a href="docs.php"><i class="fas fa-book fa-fw"></i> <span>Documentación</span></a></li>
                     <li><a href="api/v1/auth/logout.php"><i class="fas fa-sign-out-alt fa-fw"></i> <span>Salir</span></a></li>
                 </ul>
            </nav>
        </aside>

        <!-- ==================== MAIN WRAPPER ==================== -->
        <div class="main-wrapper" id="main-wrapper">
            <!-- ==================== DASHBOARD HEADER ==================== -->
            <header class="dashboard-header">
                <div class="header-left">
                    <button id="sidebar-toggle" class="btn btn-icon" aria-label="Toggle sidebar"><i class="fas fa-bars"></i></button>
                </div>
                <div class="header-right">
                     <div class="user-menu">
                         <span class="user-name"><?php echo htmlspecialchars($currentUserEmail ?? 'Usuario'); ?></span>
                         <button class="user-menu-toggle"><i class="fas fa-user-circle fa-lg"></i> <i class="fas fa-caret-down"></i></button>
                         <div class="user-menu-dropdown" style="display: none;">
                             <a href="account.php">Mi Cuenta</a>
                             <a href="api/v1/auth/logout.php">Cerrar Sesión</a>
                         </div>
                    </div>
                </div>
            </header>

            <!-- ==================== MAIN CONTENT AREA ==================== -->
            <main class="main-content">
                <div class="content-header">
                    <h1 id="dashboard-title">Mis Proyectos</h1>
                    <a href="create-project.php" class="btn btn-primary"><i class="fas fa-plus-circle"></i> Crear Nuevo Proyecto</a>
                </div>

                <!-- Contenedor para selector de proyectos o mensaje de "crea tu primer proyecto" -->
                <div id="projects-overview-container">
                    <p class="loading-projects" style="text-align:center; padding:20px;">Cargando proyectos...</p>
                </div>

                <!-- Contenedor para el RESUMEN del proyecto seleccionado -->
                <section id="project-summary-section" class="settings-section" style="display:none; margin-top:20px;">
                    <div class="settings-content-padded" id="project-summary-content">
                        <!-- Se llenará con JS -->
                    </div>
                </section>

                <!-- Contenedor para mostrar los RECURSOS del proyecto seleccionado -->
                <!-- Por ahora, lo dejamos oculto y lo llenaremos en project-details.php -->
                <div id="project-resources-container" style="margin-top: 20px; display:none;">
                    <p style="text-align:center; color:#6c757d;">Selecciona un proyecto para ver sus recursos o haz clic en "Ver Detalles Completos y Recursos".</p>
                </div>

                 <!-- Sección "Quick Start" (Ahora contextual al proyecto o para crear uno nuevo) -->
               <section class="quick-start-section" style="margin-top: 40px;" id="quick-start-for-project"> <!-- Dejar visible por defecto, JS lo oculta si no hay proyectos -->
                   <h2 id="quick-start-title">¿Qué quieres desplegar hoy?</h2>
                   <p id="quick-start-subtitle">Selecciona el tipo de recurso que quieres añadir.</p>
                   <div class="quick-start-options">
                       <a href="create-app.php?type=frontend" class="quick-start-card" id="qs-frontend-link" data-original-href="create-app.php?type=frontend">
                           <i class="fas fa-desktop fa-2x"></i><h3>FrontEnd</h3><p>Tu sitio web estático o SPA.</p>
                       </a>
                       <a href="create-app.php?type=api" class="quick-start-card" id="qs-api-link" data-original-href="create-app.php?type=api">
                           <i class="fas fa-code-branch fa-2x"></i><h3>Middleware</h3><p>Api / Graphql</p>
                       </a>
                       <a href="create-database.php" class="quick-start-card" id="qs-db-link" data-original-href="create-database.php">
                           <i class="fas fa-server fa-2x"></i><h3>BackEnd </h3><p>MySQL - Posgresql -MongoDB</p>
                       </a>
                   </div>
               </section>
            </main>
        </div>
    </div>

    <script src="dashboard-script.js"></script>
    <script>
        // SCRIPT ESPECÍFICO PARA INDEX.PHP (Dashboard Principal)
        document.addEventListener('DOMContentLoaded', () => {
            const projectsOverviewContainer = document.getElementById('projects-overview-container');
            const projectSummarySection = document.getElementById('project-summary-section');
            const projectSummaryContent = document.getElementById('project-summary-content');
            const projectResourcesContainer = document.getElementById('project-resources-container'); // Referencia al div
            const dashboardTitle = document.getElementById('dashboard-title');
            
            const quickStartSectionForProject = document.getElementById('quick-start-for-project');
            const quickStartTitle = document.getElementById('quick-start-title');
            const quickStartSubtitle = document.getElementById('quick-start-subtitle');
            const qsFrontendLink = document.getElementById('qs-frontend-link');
            const qsApiLink = document.getElementById('qs-api-link');
            const qsDbLink = document.getElementById('qs-db-link');

            // Enlaces del Sidebar (para actualizar con project_id)
            const sidebarLinkFrontend = document.getElementById('sidebar-link-frontend');
            const sidebarLinkApi = document.getElementById('sidebar-link-api');
            const sidebarLinkDatabase = document.getElementById('sidebar-link-database');


            // Ajusta la ruta de la API si es necesario
            const API_PROJECTS_ENDPOINT = '/dashboard_app/api/v1/projects.php';

            let allProjects = [];
            let currentProject = null;

            async function fetchAndDisplayProjects() {
                if (!projectsOverviewContainer || !dashboardTitle) {
                    console.warn("index.php: Elementos del DOM para proyectos no encontrados.");
                    return;
                }
                const loadingP = projectsOverviewContainer.querySelector('.loading-projects');

                try {
                    const response = await fetch(API_PROJECTS_ENDPOINT);
                    if (!response.ok) {
                        const errorText = await response.text();
                        const displayError = errorText.length > 150 ? errorText.substring(0, 150) + "..." : errorText;
                        throw new Error(`Error API Proyectos: ${response.status} - ${displayError}`);
                    }
                    const result = await response.json();

                    if (loadingP) loadingP.remove();

                    if (result.success && Array.isArray(result.projects)) {
                        allProjects = result.projects;
                        if (allProjects.length > 0) {
                            displayProjectSelector();
                            let storedProjectId = localStorage.getItem('selectedProjectId');
                            const selectedProjectExists = allProjects.find(p => p.id == storedProjectId);
                            let projectIdToLoad = (storedProjectId && selectedProjectExists) ? storedProjectId : allProjects[0].id.toString();
                            
                            const selector = document.getElementById('project-selector');
                            if(selector) selector.value = projectIdToLoad;
                            
                            updateProjectContext(projectIdToLoad);
                        } else {
                            displayNoProjectsMessage();
                        }
                    } else {
                        throw new Error(result.error || 'Respuesta API inválida.');
                    }
                } catch (error) {
                    console.error('Error al cargar proyectos:', error);
                    if (loadingP) loadingP.remove();
                    projectsOverviewContainer.innerHTML = `<div class="form-feedback error" style="text-align:left; padding:10px;">Error al cargar proyectos: ${error.message}</div>`;
                    dashboardTitle.textContent = 'Error al Cargar Proyectos';
                    quickStartSectionForProject.style.display = 'none';
                    projectSummarySection.style.display = 'none';
                    projectResourcesContainer.style.display = 'none';
                }
            }

            function displayNoProjectsMessage() {
                dashboardTitle.textContent = 'Bienvenido a VeneCloud';
                projectsOverviewContainer.innerHTML = `
                    <div class="no-projects-message" style="text-align:center; padding: 30px; background-color:#fff; border-radius:6px; border: 1px solid #e9ecef; margin-bottom:20px;">
                        <i class="fas fa-folder-plus fa-3x" style="color:#007bff; margin-bottom:15px;"></i>
                        <h2>Crea tu primer proyecto</h2>
                        <p>Los proyectos te ayudan a organizar tus aplicaciones y bases de datos.</p>
                        <a href="create-project.php" class="btn btn-primary btn-lg" style="margin-top:15px;">
                            <i class="fas fa-plus-circle"></i> Crear Nuevo Proyecto
                        </a>
                    </div>
                `;
                projectSummarySection.style.display = 'none';
                projectResourcesContainer.style.display = 'none';
                quickStartSectionForProject.style.display = 'none'; // Ocultar quick start si no hay proyectos
            }

            function displayProjectSelector() {
                let optionsHtml = '';
                allProjects.forEach(project => {
                    const projectNameSafe = project.name ? project.name.replace(/&/g, "&amp;").replace(/</g, "&lt;").replace(/>/g, "&gt;").replace(/"/g, "&quot;").replace(/'/g, "&#039;") : 'Proyecto Sin Nombre';
                    optionsHtml += `<option value="${project.id}">${projectNameSafe}</option>`;
                });

                projectsOverviewContainer.innerHTML = `
                    <div class="form-group" style="margin-bottom: 20px; display:flex; align-items:center; gap:15px; flex-wrap:wrap;">
                        <label for="project-selector" style="font-weight:bold; font-size:1.1em; margin-bottom:0;">Proyecto Actual:</label>
                        <select id="project-selector" class="form-control" style="max-width: 300px; padding: 8px 12px; border:1px solid #ced4da; border-radius:4px; font-size:1em; flex-grow:1;">
                            ${optionsHtml}
                        </select>
                        <a href="create-project.php" class="btn btn-secondary btn-sm" style="margin-left:auto;">
                            <i class="fas fa-plus"></i> Nuevo Proyecto
                        </a>
                    </div>
                `;

                const selector = document.getElementById('project-selector');
                if (selector) {
                    selector.addEventListener('change', (event) => {
                        updateProjectContext(event.target.value);
                    });
                }
            }

            function updateProjectContext(projectId) {
                localStorage.setItem('selectedProjectId', projectId);
                currentProject = allProjects.find(p => p.id == projectId);

                if (!currentProject) {
                    console.error(`Proyecto con ID ${projectId} no encontrado.`);
                    projectSummarySection.style.display = 'none';
                    projectResourcesContainer.style.display = 'none';
                    quickStartSectionForProject.style.display = 'none';
                    dashboardTitle.textContent = 'Selecciona un Proyecto';
                    return;
                }

                dashboardTitle.textContent = `Proyecto: ${currentProject.name}`;
                
                projectSummaryContent.innerHTML = `
                    <p><strong>Nombre:</strong> ${currentProject.name}</p>
                    <p><strong>Descripción:</strong> ${currentProject.description || 'N/A'}</p>
                    <p><strong>Creado:</strong> ${new Date(currentProject.created_at).toLocaleDateString('es-VE', {day: '2-digit', month: '2-digit', year: 'numeric'})}</p>
                    <a href="project-details.php?slug=${currentProject.slug}" class="btn btn-sm btn-outline-primary" style="margin-top:10px;">Ver Detalles Completos y Recursos</a>
                `;
                projectSummarySection.style.display = 'block';

                // Actualizar sección "Quick Start"
                quickStartTitle.innerHTML = `Recursos: <strong>${currentProject.name}</strong>`;
                quickStartSubtitle.textContent = `Selecciona el tipo de recurso que quieres añadir a "${currentProject.name}".`;
                qsFrontendLink.href = `create-app.php?project_id=${currentProject.id}&type=frontend`;
                qsApiLink.href = `create-app.php?project_id=${currentProject.id}&type=api`;
                qsDbLink.href = `create-database.php?project_id=${currentProject.id}`;
                quickStartSectionForProject.style.display = 'block';

                // Actualizar enlaces del sidebar para añadir recursos al proyecto actual
                if (sidebarLinkFrontend) sidebarLinkFrontend.href = `create-app.php?project_id=${currentProject.id}&type=frontend`;
                if (sidebarLinkApi) sidebarLinkApi.href = `create-app.php?project_id=${currentProject.id}&type=api`;
                if (sidebarLinkDatabase) sidebarLinkDatabase.href = `create-database.php?project_id=${currentProject.id}`;


                // Mostrar el contenedor de recursos (pero aún con placeholders)
                projectResourcesContainer.style.display = 'block';
                // TODO: Llamar a loadProjectResources(projectId) aquí
                 loadProjectResources(projectId); // Mostrar placeholder por ahora
            }
            
            // Función Placeholder para mostrar dónde irían los recurso
            function loadProjectResources(projectId) {
                if(!projectResourcesContainer) return;

                projectResourcesContainer.innerHTML = `<!--
                    <section class="resource-section" id="frontend-apps-section-idx">
                        <h3><i class="fas fa-desktop fa-fw"></i> Aplicaciones FrontEnd de este Proyecto
                            <a href="create-app.php?project_id=${projectId}&type=frontend" class="btn btn-sm btn-outline-primary" style="float:right; font-size:0.8em; padding: 3px 8px;">
                                <i class="fas fa-plus"></i> Añadir FrontEnd
                            </a>
                        </h3>
                        <ul class="resource-list" id="frontend-apps-list-idx">
                            <li class="no-resources">(Listado de FrontEnds pendiente)</li>
                        </ul>
                    </section>

                    <section class="resource-section" id="api-apps-section-idx">
                        <h3><i class="fas fa-code-branch fa-fw"></i> APIs / GraphQL de este Proyecto
                            <a href="create-app.php?project_id=${projectId}&type=api" class="btn btn-sm btn-outline-primary" style="float:right; font-size:0.8em; padding: 3px 8px;">
                                <i class="fas fa-plus"></i> Añadir API
                            </a>
                        </h3>
                        <ul class="resource-list" id="api-apps-list-idx">
                            <li class="no-resources">(Listado de APIs pendiente)</li>
                        </ul>
                    </section>

                    <section class="resource-section" id="databases-section-idx">
                        <h3><i class="fas fa-database fa-fw"></i> Bases de Datos de este Proyecto
                            <a href="create-database.php?project_id=${projectId}" class="btn btn-sm btn-outline-primary" style="float:right; font-size:0.8em; padding: 3px 8px;">
                                <i class="fas fa-plus"></i> Añadir Base de Datos
                            </a>
                        </h3>
                        <ul class="resource-list" id="databases-list-idx">
                            <li class="no-resources">(Listado de Bases de Datos pendiente)</li>
                        </ul>
                    </section> -->
                `;
                 // En el futuro, aquí harías las llamadas fetch para obtener los recursos
                 // y luego llamarías a funciones tipo renderResourceList(...)
            } 

            
            async function loadProjectDetails(projectId) {
                if (!projectId) {
                    // ... (código para ocultar secciones si no hay proyecto, igual que antes) ...
                    return;
                }
                
                localStorage.setItem('selectedProjectId', projectId);
                currentProject = allProjects.find(p => p.id == projectId);
            
                if (!currentProject) {
                    // ... (manejo si currentProject no se encuentra, igual que antes) ...
                    return;
                }
            
                dashboardTitle.textContent = `Proyecto: ${currentProject.name}`;
                
                projectSummaryContent.innerHTML = `
                    <p><strong>Nombre:</strong> ${currentProject.name}</p>
                    <p><strong>Descripción:</strong> ${currentProject.description || 'N/A'}</p>
                    <p><strong>Creado:</strong> ${new Date(currentProject.created_at).toLocaleDateString('es-VE', {day: '2-digit', month: '2-digit', year: 'numeric'})}</p>
                    <a href="project-details.php?slug=${currentProject.slug}" class="btn btn-sm btn-outline-primary" style="margin-top:10px;">Ver Detalles Completos y Recursos</a>
                `;
                projectSummarySection.style.display = 'block';
            
                // Actualizar sección "Quick Start" y enlaces del Sidebar (igual que antes)
                // ...
            
                // --- INICIO: Cargar y Mostrar Recursos del Proyecto ---
                projectResourcesContainer.style.display = 'block';
            
                // Mostrar "Cargando..." mientras se obtienen los recursos
                if (frontendAppsList) frontendAppsList.innerHTML = '<li class="no-resources">Cargando FrontEnds...</li>';
                if (apiAppsList) apiAppsList.innerHTML = '<li class="no-resources">Cargando APIs...</li>';
                if (databasesList) databasesList.innerHTML = '<li class="no-resources">Cargando Bases de Datos...</li>';
            
                // Hacer la llamada a la API para obtener los detalles completos del proyecto, INCLUYENDO sus recursos
                // Asumimos que la API projects.php?slug=... ya devuelve esto.
                // Si no, necesitarías endpoints separados para cada tipo de recurso.
            
                try {
                    // Volver a llamar a la API para obtener los detalles completos del proyecto actual,
                    // incluyendo sus arrays de aplicaciones y bases de datos.
                    const projectDetailsResponse = await fetch(`${API_PROJECTS_ENDPOINT}?slug=${currentProject.slug}`);
                    if (!projectDetailsResponse.ok) {
                        const errText = await projectDetailsResponse.text();
                        throw new Error(`Error obteniendo detalles del proyecto: ${projectDetailsResponse.status} - ${errText.substring(0,100)}`);
                    }
                    const projectDetailsResult = await projectDetailsResponse.json();
            
                    if (projectDetailsResult.success && projectDetailsResult.project) {
                        const projectWithResources = projectDetailsResult.project;
                        renderResourceList(frontendAppsList, projectWithResources.applications_frontend || [], 'frontend', projectWithResources.id);
                        renderResourceList(apiAppsList, projectWithResources.applications_api || [], 'api', projectWithResources.id);
                        renderResourceList(databasesList, projectWithResources.databases || [], 'database', projectWithResources.id);
                    } else {
                        throw new Error(projectDetailsResult.error || 'No se pudieron cargar los recursos del proyecto.');
                    }
                } catch (error) {
                    console.error("Error cargando recursos del proyecto:", error);
                    if (frontendAppsList) frontendAppsList.innerHTML = `<li class="no-resources">Error al cargar FrontEnds: ${error.message}</li>`;
                    if (apiAppsList) apiAppsList.innerHTML = `<li class="no-resources">Error al cargar APIs: ${error.message}</li>`;
                    if (databasesList) databasesList.innerHTML = `<li class="no-resources">Error al cargar Bases de Datos: ${error.message}</li>`;
                }
                // --- FIN: Cargar y Mostrar Recursos del Proyecto ---
            }
            
            // NUEVA FUNCIÓN para renderizar las listas de recursos
            function renderResourceList(listElement, resources, type, currentProjectId) {
                if (!listElement) return;
                listElement.innerHTML = ''; // Limpiar
            
                if (!resources || resources.length === 0) {
                    let message = `No hay ${type === 'database' ? 'bases de datos' : (type === 'api' ? 'APIs' : 'aplicaciones FrontEnd')} en este proyecto.`;
                    listElement.innerHTML = `<li class="no-resources">${message}</li>`;
                    return;
                }
            
                resources.forEach(resource => {
                    const li = document.createElement('li');
                    li.classList.add('resource-item');
                    
                    let name, detailUrl, statusText, statusClass;
            
                    if (type === 'frontend' || type === 'api') {
                        name = resource.name || 'App Sin Nombre';
                        detailUrl = `app-details.php?id=${resource.id}&project_id=${currentProjectId}`; // Asumiendo que app-details necesita project_id
                        statusText = resource.status || 'desconocido';
                        statusClass = `status-${resource.status}`;
                    } else if (type === 'database') {
                        name = resource.db_name_on_server || 'DB Sin Nombre';
                        detailUrl = `database-details.php?id=${resource.id}&project_id=${currentProjectId}`; // Asumiendo que db-details necesita project_id
                        statusText = resource.status || 'activo';
                        statusClass = `status-${resource.status || 'active'}`; // Default a active si no hay status
                    }
            
                    li.innerHTML = `
                        <div class="name">
                            <a href="${detailUrl}">${name}</a>
                        </div>
                        <div class="info">
                            <span class="status ${statusClass}"><i class="fas fa-circle"></i> ${statusText}</span>
                            <small style="margin-left:10px;">Creado: ${new Date(resource.created_at).toLocaleDateString('es-VE')}</small>
                        </div>
                        <div class="actions">
                            <a href="${detailUrl}" class="btn btn-sm btn-icon" title="Ver Detalles"><i class="fas fa-eye"></i></a>
                            <!-- Botones de Editar/Borrar Recurso -->
                        </div>
                    `;
                    listElement.appendChild(li);
                });
            }
            
            // Iniciar
            if (projectsOverviewContainer) { // Asegurar que solo corra en index.php
                fetchAndDisplayProjects();
            }
        });
        
    </script>
</body>
</html>