<?php require_once 'api/v1/auth/auth_check.php'; ?>
<!doctype html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="icon" href="./images/x-icon/favicon.ico" type="image/x-icon">
    <title>Dashboard - VeneCloud</title>
    <link rel="stylesheet" href="dashboard.css">
    <!-- Font Awesome CDN -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.2/css/all.min.css" integrity="sha512-SnH5WK+bZxgPHs44uWIX+LLJAJ9/2PkPKZ5QiAj6Ta86w+fsb2TkcmfRyVX3pBnMFcV7oQPJkl9QevSCWr3W6A==" crossorigin="anonymous" referrerpolicy="no-referrer" />
</head>
<body>
    <!-- Añadir clase 'sidebar-collapsed' aquí dinámicamente con JS -->
    <div class="dashboard-layout">
        <!-- ==================== SIDEBAR ==================== -->
        <!-- Añadir clase 'collapsed' aquí dinámicamente con JS -->
       <!-- ==================== SIDEBAR ==================== -->
       <aside class="sidebar" id="sidebar">
           <div class="sidebar-logo">
               <a href="./">VeneCloud</a>
           </div>
           <nav class="sidebar-nav">
                <ul>
                    <li class="active"><a href="/dashboard_app"><i class="fas fa-cubes fa-fw"></i> <span>Aplicaciones</span></a></li>
                    <!-- MARCAR 'Facturación' como activa -->
                    <li><a href="billing.php"><i class="fas fa-credit-card fa-fw"></i> <span>Facturación</span></a></li>
                    <li><a href="account.php"><i class="fas fa-user-cog fa-fw"></i> <span>Cuenta</span></a></li>
                    <li><a href="docs.php"><i class="fas fa-book fa-fw"></i> <span>Documentación</span></a></li>
                    <li><a href="api/v1/auth/logout.php"><i class="fas fa-sign-out-alt fa-fw"></i> <span>Salir</span></a></li>
                </ul>
           </nav>
       </aside> <!-- Fin Sidebar -->

        <!-- ==================== MAIN WRAPPER (Header + Content) ==================== -->
        <div class="main-wrapper" id="main-wrapper">
            <!-- ==================== DASHBOARD HEADER ==================== -->
            <header class="dashboard-header">
                <div class="header-left">
                    <!-- BOTÓN PARA TOGGLE SIDEBAR -->
                    <button id="sidebar-toggle" class="btn btn-icon" aria-label="Toggle sidebar">
                        <i class="fas fa-bars"></i>
                    </button>
                </div>
                <div class="header-right">
                     <div class="user-menu">
                         <span class="user-name"><?php echo htmlspecialchars($_SESSION['user_email'] ?? 'Usuario'); ?></span>
                         <button class="user-menu-toggle"><i class="fas fa-user-circle fa-lg"></i> <i class="fas fa-caret-down"></i></button>
                         <div class="user-menu-dropdown" style="display: none;">
                             <a href="account.php">Mi Cuenta</a>
                             <a href="api/v1/auth/logout.php">Cerrar Sesión</a>
                         </div>
                    </div>
                </div>
            </header> <!-- Fin Dashboard Header -->

            <!-- ==================== MAIN CONTENT AREA ==================== -->
            <main class="main-content">
                <div class="content-header">
                    <h1>Mis Aplicaciones</h1>
                    <a href="/apps/new" class="btn btn-primary"><i class="fas fa-plus"></i> Crear Nueva Aplicación</a>
                </div>

                <div class="app-list-container">
                    <!-- EJEMPLO TARJETA APP 1: Corriendo -->
                    <div class="app-card">
                        <div class="app-card-header">
                             <h3 class="app-name"><a href="/apps/mi-proyecto-web">mi-proyecto-web</a></h3>
                             <span class="status status-running"><i class="fas fa-circle"></i> Corriendo</span>
                        </div>
                        <div class="app-card-body">
                             <p class="last-deploy">Último despliegue: Hace 15 minutos</p>
                             <p class="app-url">
                                 <a href="#">mi-proyecto-web.venecloud.com <i class="fas fa-external-link-alt fa-xs"></i>
                                 </a>
                             </p>
                        </div>
                        <div class="app-card-footer">
                             <a href="#" class="btn btn-secondary btn-sm">Gestionar</a>
                             <div class="action-menu-container"> <!-- Contenedor relativo para el dropdown -->
                                 <button class="action-menu-toggle btn btn-icon btn-sm" aria-label="Más acciones"><i class="fas fa-ellipsis-v"></i></button>
                                 <!-- DROPDOWN DE ACCIONES -->
                                 <div class="action-menu-dropdown" style="display: none;">
                                     <a href="#" class="action-restart"><i class="fas fa-redo fa-fw"></i> Reiniciar</a>
                                     <a href="#" class="action-logs"><i class="fas fa-file-alt fa-fw"></i> Ver Logs</a>
                                     <hr>
                                     <a href="#" class="action-delete danger-action"><i class="fas fa-trash-alt fa-fw"></i> Borrar App</a>
                                 </div>
                             </div>
                        </div>
                    </div>

                    <!-- EJEMPLO TARJETA APP 2: Desplegando -->
                    <div class="app-card">
                         <div class="app-card-header">
                              <h3 class="app-name"><a href="/apps/api-clientes">api-clientes</a></h3>
                              <span class="status status-deploying"><i class="fas fa-sync-alt fa-spin"></i> Desplegando</span>
                         </div>
                         <div class="app-card-body">
                              <p class="last-deploy">Despliegue iniciado: Hace 1 minuto</p>
                              <p class="app-url">
                                  <a href="#">api-clientes.venecloud.com <i class="fas fa-external-link-alt fa-xs"></i>
                                  </a>
                              </p>
                         </div>
                         <div class="app-card-footer">
                             <a href="#" class="btn btn-secondary btn-sm" disabled>Gestionar</a>
                              <div class="action-menu-container">
                                  <button class="action-menu-toggle btn btn-icon btn-sm" disabled aria-label="Más acciones"><i class="fas fa-ellipsis-v"></i></button>
                                  <!-- Dropdown (no se mostrará si el botón está disabled) -->
                                  <div class="action-menu-dropdown" style="display: none;">
                                     </div>
                              </div>
                         </div>
                    </div>

                    <!-- EJEMPLO TARJETA APP 3: Detenida -->
                     <div class="app-card">
                         <div class="app-card-header">
                              <h3 class="app-name"><a href="#">viejo-prototipo</a></h3>
                              <span class="status status-stopped"><i class="fas fa-stop-circle"></i> Detenida</span>
                         </div>
                         <div class="app-card-body">
                              <p class="last-deploy">Último despliegue: 20/04/2024</p>
                              <p class="app-url">
                                  <span>(No disponible)</span>
                              </p>
                         </div>
                         <div class="app-card-footer">
                             <a href="#" class="btn btn-secondary btn-sm">Gestionar</a>
                              <div class="action-menu-container">
                                  <button class="action-menu-toggle btn btn-icon btn-sm" aria-label="Más acciones"><i class="fas fa-ellipsis-v"></i></button>
                                   <!-- DROPDOWN DE ACCIONES -->
                                  <div class="action-menu-dropdown" style="display: none;">
                                       <a href="#" class="action-restart"><i class="fas fa-play fa-fw"></i> Iniciar</a> <!-- Cambiado icono -->
                                       <a href="#" class="action-logs"><i class="fas fa-file-alt fa-fw"></i> Ver Logs</a>
                                       <hr>
                                       <a href="#" class="action-delete danger-action"><i class="fas fa-trash-alt fa-fw"></i> Borrar App</a>
                                   </div>
                              </div>
                         </div>
                     </div>

                     <!-- Mensaje si no hay aplicaciones -->
                     <div class="no-apps-message" style="display: none;">
                          <i class="fas fa-folder-open fa-4x empty-icon"></i>
                          <h2>Aún no tienes aplicaciones</h2>
                          <p>Empieza creando tu primera aplicación para desplegar tu código.</p>
                          <a href="#" class="btn btn-primary"><i class="fas fa-plus"></i> Crear Nueva Aplicación</a>
                     </div>

                </div> <!-- Fin App List Container -->
                   <!-- === Sección Inicio Rápido (REVISADO) === -->
               <section class="quick-start-section">
                   <!-- Título más claro -->
                   <h2>¿Qué quieres desplegar hoy?</h2>
                   <!-- Descripción más simple -->
                   <p>Elige una opción para empezar en pocos pasos:</p>
                   <div class="quick-start-options">
                       <a href="#" class="quick-start-card"> <!-- Actualizar href si creas páginas específicas -->
                           <i class="fas fa-desktop fa-2x"></i>
                           <h3>FrontEnd</h3>
                           <!-- Descripción más simple -->
                           <p>Tu sitio web estático o SPA (React, Vue...)</p>
                       </a>
                       <a href="#" class="quick-start-card"> <!-- Actualizar href -->
                           <i class="fas fa-code-branch fa-2x"></i>
                           <h3>API / GraphQL</h3>
                            <!-- Descripción más simple -->
                           <p>El backend para conectar tus aplicaciones.</p>
                       </a>
                       <a href="create-database.php" class="quick-start-card"> <!-- Actualizar href -->
                           <i class="fas fa-server fa-2x"></i>
                           <h3>BackEnd</h3>
                            <!-- Descripción más simple -->
                           <p>MySQL, Postgred, MongoDB</p>
                       </a>
                   </div>
               </section>

            </main> <!-- Fin Main Content -->
            
        </div> <!-- Fin Main Wrapper -->
    </div> <!-- Fin Dashboard Layout -->

    <script src="dashboard-script.js"></script>
</body>
</html>