<?php require_once 'api/v1/auth/auth_check.php'; // Asegúrate que la ruta sea correcta desde index.php ?>
<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="icon" href="./images/x-icon/favicon.ico" type="image/x-icon"> <!-- Asume que images/ está en dashboard_app/ -->
    <title>Dashboard - VeneCloud</title>
    <link rel="stylesheet" href="dashboard.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.2/css/all.min.css" integrity="sha512-SnH5WK+bZxgPHs44uWIX+LLJAJ9/2PkPKZ5QiAj6Ta86w+fsb2TkcmfRyVX3pBnMFcV7oQPJkl9QevSCWr3W6A==" crossorigin="anonymous" referrerpolicy="no-referrer" />
</head>
<body>
    <div class="dashboard-layout">
        <!-- ==================== SIDEBAR ==================== -->
        <aside class="sidebar" id="sidebar">
            <div class="sidebar-logo"><a href="index.php">VeneCloud</a></div> <!-- Apunta a sí mismo -->
            <nav class="sidebar-nav">
                 <ul>
                     <li class="has-submenu active open"> <!-- 'open' para que esté desplegado por defecto -->
                         <a href="#" class="submenu-toggle"> <!-- Clase .submenu-toggle ESENCIAL -->
                             <i class="fas fa-cubes fa-fw"></i>
                             <span>Aplicaciones</span>
                             <i class="fas fa-chevron-down submenu-arrow"></i>
                         </a>
                         <ul class="submenu">
                             <!-- Asegúrate que el LI correcto tenga la clase 'active' -->
                             <li class="active"><a href="index.php"><i class="fas fa-list fa-fw"></i> <span>Ver Todas</span></a></li>
                             <li><a href="create-project.php?type=frontend"><span>FrontEnd</span></a></li>
                             <li><a href="create-project.php?type=api"><span>API / GraphQL</span></a></li>
                             <li><a href="create-database.php"><span>BackEnd (Bases de Datos)</span></a></li>
                         </ul>
                     </li>
                     <li><a href="billing.php"><i class="fas fa-credit-card fa-fw"></i> <span>Facturación</span></a></li>
                     <li><a href="account.php"><i class="fas fa-user-cog fa-fw"></i> <span>Cuenta</span></a></li>
                     <li><a href="docs.php"><i class="fas fa-book fa-fw"></i> <span>Documentación</span></a></li>
                     <li><a href="api/v1/auth/logout.php"><i class="fas fa-sign-out-alt fa-fw"></i> <span>Salir</span></a></li>
                 </ul>
            </nav>
        </aside>

        <!-- ==================== MAIN WRAPPER ==================== -->
        <div class="main-wrapper" id="main-wrapper">
            <!-- ==================== DASHBOARD HEADER ==================== -->
            <header class="dashboard-header">
                <div class="header-left">
                    <button id="sidebar-toggle" class="btn btn-icon" aria-label="Toggle sidebar"><i class="fas fa-bars"></i></button>
                     <!-- Breadcrumbs podrían ser dinámicos o quitarlos de la vista principal -->
                </div>
                <div class="header-right">
                     <div class="user-menu">
                         <span class="user-name"><?php echo htmlspecialchars($currentUserEmail ?? 'Usuario'); ?></span>
                         <button class="user-menu-toggle"><i class="fas fa-user-circle fa-lg"></i> <i class="fas fa-caret-down"></i></button>
                         <div class="user-menu-dropdown" style="display: none;">
                             <a href="account.php">Mi Cuenta</a>
                             <a href="api/v1/auth/logout.php">Cerrar Sesión</a>
                         </div>
                    </div>
                </div>
            </header>

            <!-- ==================== MAIN CONTENT AREA ==================== -->
            <main class="main-content">
                <div class="content-header">
                    <!-- El título cambiará según el proyecto seleccionado o si no hay proyectos -->
                    <h1 id="dashboard-title">Mis Proyectos</h1>
                    <!-- Botón para crear nuevo proyecto -->
                    <a href="create-project.php" class="btn btn-primary"><i class="fas fa-plus-circle"></i> Crear Nuevo Proyecto</a>
                </div>

                <!-- Contenedor para el selector de proyectos y la lista de recursos -->
                <div id="projects-overview-container">
                    <!-- Aquí se cargará el selector o el mensaje de "crea tu primer proyecto" -->
                </div>

                <!-- Contenedor para mostrar los recursos del proyecto seleccionado -->
                <div id="project-resources-container" style="margin-top: 30px;">
                    <!-- Aquí se mostrarían las aplicaciones y DBs del proyecto actual -->
                    <!-- Ejemplo (se generaría con JS):
                    <section class="settings-section">
                        <h3><i class="fas fa-desktop fa-fw"></i> Aplicaciones FrontEnd</h3>
                        <div class="app-list-container" id="frontend-apps-list">
                            <p>No hay aplicaciones FrontEnd en este proyecto.</p>
                        </div>
                        <div class="section-actions">
                            <a href="create-app.php?project_id=ID_PROYECTO&type=frontend" class="btn btn-secondary btn-sm">
                                <i class="fas fa-plus"></i> Añadir FrontEnd
                            </a>
                        </div>
                    </section>
                    -->
                </div>

                 <!-- Sección "Quick Start" (Opcional, podría eliminarse si el flujo de proyectos es claro) -->
               <section class="quick-start-section" style="margin-top: 40px;">
                   <h2>¿Qué quieres desplegar hoy?</h2>
                   <p>Selecciona el tipo de recurso que quieres añadir al proyecto actual (o crea un proyecto nuevo).</p>
                   <div class="quick-start-options">
                       <a href="create-project.php?type=frontend" class="quick-start-card"> <!-- Ajustar href para flujo de creación -->
                           <i class="fas fa-desktop fa-2x"></i>
                           <h3>FrontEnd</h3>
                           <p>Tu sitio web estático o SPA.</p>
                       </a>
                       <a href="create-project.php?type=api" class="quick-start-card"> <!-- Ajustar href -->
                           <i class="fas fa-code-branch fa-2x"></i>
                           <h3>API / GraphQL</h3>
                           <p>El backend para tus aplicaciones.</p>
                       </a>
                       <a href="create-database.php" class="quick-start-card">
                           <i class="fas fa-server fa-2x"></i>
                           <h3>Base de Datos</h3>
                           <p>MySQL para tus datos.</p>
                       </a>
                   </div>
               </section>
        
            </main>
        </div>
    </div>

        <script src="dashboard-script.js"></script> <!-- Script general del dashboard (sidebar, dropdowns, etc.) -->

    <!-- SCRIPT ESPECÍFICO PARA INDEX.PHP (LISTAR PROYECTOS) -->
    <script>
        document.addEventListener('DOMContentLoaded', () => {
            const projectsOverviewContainer = document.getElementById('projects-overview-container');
            const projectResourcesContainer = document.getElementById('project-resources-container');
            const dashboardTitle = document.getElementById('dashboard-title');
            const API_PROJECTS_ENDPOINT = '/api/v1/projects.php'; // Endpoint GET para listar proyectos

            let allProjects = []; // Guardará todos los proyectos del usuario
            let currentProjectId = null; // Guardará el ID del proyecto actualmente seleccionado

            // Función para cargar y mostrar los proyectos
            async function fetchAndDisplayProjects() {
                if (!projectsOverviewContainer || !dashboardTitle) {
                    console.error("Elementos del DOM necesarios no encontrados para mostrar proyectos.");
                    return;
                }

                try {
                    const response = await fetch(API_PROJECTS_ENDPOINT); // Método GET por defecto
                    
                    if (!response.ok) {
                        const errorText = await response.text(); // Leer como texto si no es JSON
                        console.error('Error del servidor al obtener proyectos (respuesta no OK):', errorText);
                        throw new Error(`Error del servidor: ${response.status} - ${errorText.substring(0,100)}`);
                    }

                    const result = await response.json(); // Intentar parsear como JSON

                    if (result.success && result.projects) {
                        allProjects = result.projects; // Guardar la lista de proyectos
                        
                        if (allProjects.length > 0) {
                            displayProjectSelector(); // Mostrar el selector de proyectos

                            // Intentar cargar el último proyecto seleccionado o el primero de la lista
                            let storedProjectId = localStorage.getItem('selectedProjectId');
                            if (storedProjectId && allProjects.find(p => p.id == storedProjectId)) {
                                currentProjectId = storedProjectId;
                            } else {
                                currentProjectId = allProjects[0].id; // Primer proyecto si no hay guardado o no existe
                            }
                            
                            const selector = document.getElementById('project-selector');
                            if(selector) selector.value = currentProjectId; // Establecer valor del select

                            localStorage.setItem('selectedProjectId', currentProjectId); // Guardar selección
                            updateDashboardTitle();
                            loadProjectResources(currentProjectId);
                        } else {
                            displayNoProjectsMessage(); // Mostrar mensaje si no hay proyectos
                        }
                    } else {
                        // Si success no es true o falta el array projects
                        console.error('Respuesta de API no exitosa o formato incorrecto:', result);
                        throw new Error(result.error || 'No se pudieron cargar los proyectos (respuesta inválida).');
                    }
                } catch (error) {
                    console.error('Error al cargar proyectos (fetch/parseo):', error);
                    projectsOverviewContainer.innerHTML = `<div class="form-feedback error">Error al cargar proyectos: ${error.message}</div>`;
                    if(projectResourcesContainer) projectResourcesContainer.innerHTML = ''; // Limpiar recursos
                    dashboardTitle.textContent = 'Mis Proyectos'; // Título por defecto en error
                }
            }

            // Función para mostrar el mensaje de "no hay proyectos"
            function displayNoProjectsMessage() {
                if (!dashboardTitle || !projectsOverviewContainer) return;
                dashboardTitle.textContent = 'Bienvenido a VeneCloud';
                projectsOverviewContainer.innerHTML = `
                    <div class="no-projects-message" style="text-align:center; padding: 30px; background-color:#fff; border-radius:6px; border: 1px solid #e9ecef;">
                        <i class="fas fa-folder-plus fa-3x" style="color:#007bff; margin-bottom:15px;"></i>
                        <h2>Crea tu primer proyecto</h2>
                        <p>Los proyectos te ayudan a organizar tus aplicaciones y bases de datos.</p>
                        <a href="create-project.php" class="btn btn-primary btn-lg" style="margin-top:15px;">
                            <i class="fas fa-plus-circle"></i> Crear Nuevo Proyecto
                        </a>
                    </div>
                `;
                if(projectResourcesContainer) projectResourcesContainer.innerHTML = ''; // Limpiar recursos
            }

            // Función para construir y mostrar el selector de proyectos
            function displayProjectSelector() {
                if (!projectsOverviewContainer) return;
                let optionsHtml = '';
                allProjects.forEach(project => {
                    // Usar htmlspecialchars simple para nombres (aunque PHP debería sanear al guardar)
                    const projectNameSafe = project.name.replace(/&/g, "&").replace(/</g, "<").replace(/>/g, ">").replace(/"/g, """).replace(/'/g, "'");
                    optionsHtml += `<option value="${project.id}">${projectNameSafe}</option>`;
                });

                projectsOverviewContainer.innerHTML = `
                    <div class="form-group" style="margin-bottom: 20px; display:flex; align-items:center; gap:15px; flex-wrap:wrap;">
                        <label for="project-selector" style="font-weight:bold; font-size:1.1em; margin-bottom:0;">Proyecto Actual:</label>
                        <select id="project-selector" class="form-control" style="max-width: 300px; padding: 8px 12px; border:1px solid #ced4da; border-radius:4px; font-size:1em; flex-grow:1;">
                            ${optionsHtml}
                        </select>
                        <a href="create-project.php" class="btn btn-secondary btn-sm" style="margin-left:auto;">
                            <i class="fas fa-plus"></i> Nuevo Proyecto
                        </a>
                    </div>
                `;

                const selector = document.getElementById('project-selector');
                if (selector) {
                    selector.addEventListener('change', (event) => {
                        currentProjectId = event.target.value;
                        localStorage.setItem('selectedProjectId', currentProjectId); // Guardar selección
                        updateDashboardTitle();
                        loadProjectResources(currentProjectId);
                    });
                }
            }

            // Función para actualizar el título del dashboard
            function updateDashboardTitle() {
                if (!dashboardTitle) return;
                const selectedProject = allProjects.find(p => p.id == currentProjectId); // Usar == para comparación flexible con string de value
                if (selectedProject) {
                    dashboardTitle.textContent = `Proyecto: ${selectedProject.name}`;
                } else {
                    dashboardTitle.textContent = 'Mis Proyectos';
                }
            }

            // Función para cargar recursos del proyecto (placeholder por ahora)
            function loadProjectResources(projectId) {
                if (!projectResourcesContainer) return;
                console.log(`Cargando recursos para el proyecto ID: ${projectId}`);

                const selectedProject = allProjects.find(p => p.id == projectId);
                let projectName = selectedProject ? selectedProject.name : "este proyecto";

                projectResourcesContainer.innerHTML = `
                    <div class="project-resources-placeholder" style="text-align:center; padding:20px; background-color:#f8f9fa; border-radius:4px; border:1px dashed #ced4da;">
                        <p>Aquí se mostrarán las aplicaciones y bases de datos de "<strong>${projectName}</strong>".</p>
                        <p style="font-size:0.9em; color:#6c757d;">(Funcionalidad de listar recursos de proyecto pendiente)</p>
                    </div>
                `;
                
                // Actualizar los href de los botones de "Quick Start" en el index.php principal
                 const quickStartCards = document.querySelectorAll('.quick-start-section .quick-start-card');
                 quickStartCards.forEach(card => {
                    let originalHref = card.getAttribute('data-original-href'); // Usar data-* para guardar original
                    if (!originalHref) {
                        originalHref = card.getAttribute('href');
                        card.setAttribute('data-original-href', originalHref);
                    }

                    if (originalHref.includes('create-database.php')) {
                        card.href = `create-database.php?project_id=${projectId}`;
                    } else if (originalHref.includes('create-app.php')) { // Asumiendo que create-app.php maneja tipos
                        // Reconstruir URL base para create-app y añadir project_id
                        // Ejemplo: create-app.php?type=frontend -> create-app.php?project_id=X&type=frontend
                        const url = new URL(originalHref, window.location.origin);
                        url.searchParams.set('project_id', projectId);
                        card.href = url.pathname + url.search;
                    } else if (originalHref.includes('create-project.php?type=frontend')) { // Para los botones de quick-start
                        card.href = `create-app.php?project_id=${projectId}&type=frontend`;
                    } else if (originalHref.includes('create-project.php?type=api')) {
                        card.href = `create-app.php?project_id=${projectId}&type=api`;
                    }
                 });
            }

            // Iniciar la carga de proyectos al cargar la página
            fetchAndDisplayProjects();

        }); // Fin DOMContentLoaded específico para index.php
    </script>
</body>
</html>