document.addEventListener('DOMContentLoaded', () => {
    const navToggleButton = document.getElementById('nav-toggle-button');
    const mainNavigation = document.getElementById('main-navigation'); // El <nav>

    if (navToggleButton && mainNavigation) {
        navToggleButton.addEventListener('click', () => {
            // Alterna la clase 'is-open' en el elemento <nav>
            mainNavigation.classList.toggle('is-open');

            // Alterna el atributo aria-expanded para accesibilidad
            const isOpen = mainNavigation.classList.contains('is-open');
            navToggleButton.setAttribute('aria-expanded', isOpen);

            // Opcional: Cambiar icono de hamburguesa a 'X' y viceversa
            if (isOpen) {
                navToggleButton.innerHTML = '&times;'; // Código HTML para 'X'
                navToggleButton.setAttribute('aria-label', 'Cerrar menú');
            } else {
                navToggleButton.innerHTML = '&#9776;'; // Código HTML para hamburguesa
                navToggleButton.setAttribute('aria-label', 'Abrir menú');
            }
        });
    } else {
        console.error("Error: No se encontró el botón de navegación o el menú.");
    }

    // Opcional: Cerrar menú si se hace clic fuera de él (más avanzado)
    document.addEventListener('click', (event) => {
        // Comprueba si el menú está abierto y si el clic fue fuera del nav Y fuera del botón
        if (mainNavigation.classList.contains('is-open') &&
            !mainNavigation.contains(event.target) &&
            !navToggleButton.contains(event.target))
        {
            mainNavigation.classList.remove('is-open');
            navToggleButton.setAttribute('aria-expanded', 'false');
            navToggleButton.innerHTML = '&#9776;';
            navToggleButton.setAttribute('aria-label', 'Abrir menú');
        }
    });

});